Subject: Re: [Bitcoin-development] Fwd: [BIP 15] Aliases

From: Jordan Mack <[email-masked]>
Date: Wed, 14 Dec 2011 23:45:45 -0800

I believe it is also worth mentioning the possible susceptibility of a 
DOS attack on a publicly available alias system. Assuming that an alias 
lookup triggers the creation of a new Bitcoin address, the private key 
would need to be retained indefinitely. If gone unnoticed, this could 
consume considerable resources over time. Unlike system logs and such, 
this is not something that can be so easily pruned.